with GNATCOM.Dispinterface;

package MSHTML.IHTMLCurrentStyle5_Object is

   type IHTMLCurrentStyle5_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_captionSide
     (This : IHTMLCurrentStyle5_Type)
     return GNATCOM.Types.VARIANT;

   function Get_outline
     (This : IHTMLCurrentStyle5_Type)
     return GNATCOM.Types.VARIANT;

   function Get_outlineWidth
     (This : IHTMLCurrentStyle5_Type)
     return GNATCOM.Types.VARIANT;

   function Get_outlineStyle
     (This : IHTMLCurrentStyle5_Type)
     return GNATCOM.Types.VARIANT;

   function Get_outlineColor
     (This : IHTMLCurrentStyle5_Type)
     return GNATCOM.Types.VARIANT;

   function Get_boxSizing
     (This : IHTMLCurrentStyle5_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderSpacing
     (This : IHTMLCurrentStyle5_Type)
     return GNATCOM.Types.VARIANT;

   function Get_orphans
     (This : IHTMLCurrentStyle5_Type)
     return GNATCOM.Types.VARIANT;

   function Get_widows
     (This : IHTMLCurrentStyle5_Type)
     return GNATCOM.Types.VARIANT;

   function Get_pageBreakInside
     (This : IHTMLCurrentStyle5_Type)
     return GNATCOM.Types.VARIANT;

   function Get_emptyCells
     (This : IHTMLCurrentStyle5_Type)
     return GNATCOM.Types.VARIANT;

   function Get_msBlockProgression
     (This : IHTMLCurrentStyle5_Type)
     return GNATCOM.Types.VARIANT;

   function Get_quotes
     (This : IHTMLCurrentStyle5_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLCurrentStyle5_Object;

